Get a Reddit user's submitted posts by username or profile URL. Sort by newest, hot, top or controversial, with a time window (past hour to all time) for top and controversial. Returns title, text, subreddit, date, score, upvote ratio, comment count, flair, shared link, video and gallery links and NSFW flags for each post, 25 per page, up to about 1,000 posts.
curl "https://apidirect.io/v1/reddit/user/posts?username=GallowBoob&sort_by=most_recent&pages=2" \
-H "X-API-Key: YOUR_API_KEY"
{
"posts": [
{
"post_id": "fgghrs",
"title": "Everything in balance. Except karma ⬆️⬆️⬆️",
"url": "https://www.reddit.com/user/GallowBoob/comments/fgghrs/everything_in_balance_except_karma/",
"date": "2020-03-10 16:27:45",
"author": "GallowBoob",
"author_url": "https://www.reddit.com/user/GallowBoob",
"source": "Reddit",
"domain": "reddit.com",
"snippet": "Everything in balance. Except karma ⬆️⬆️⬆️",
"subreddit": "u_GallowBoob",
"upvotes": 7949,
"upvote_ratio": 0.94,
"comments": 66,
"crossposts": 6,
"flair": "",
"link_url": "https://i.redd.it/41i4qishgvl41.jpg",
"thumbnail": "https://b.thumbs.redditmedia.com/I4852BZ7_GtmRUfZQki5aAefmUmWDKtd_1Ymqr9UT1I.jpg",
"is_video": false,
"nsfw": false,
"spoiler": false,
"locked": true,
"stickied": true,
"video_url": "",
"video_hls_url": "",
"images": [
"https://i.redd.it/41i4qishgvl41.jpg"
],
"sentiment": {
"emotions": {
"joy": 40,
"trust": 55,
"fear": 0,
"surprise": 10,
"sadness": 0,
"disgust": 0,
"anger": 0,
"anticipation": 30
},
"dominant_emotion": "trust",
"emotional_intensity": 5,
"polarity": "positive"
}
}
],
"username": "GallowBoob",
"sort_by": "most_recent",
"pages": 2,
"count": 50
}
Reddit lists up to about 1,000 posts per user, so 40 pages of 25 is the deepest.
Yes. Posts marked NSFW are included with nsfw set to true.
Yes: sort_by=top&posted_ago=7d. Without posted_ago, top and controversial cover all time.
You only pay for successful requests. The Reddit User Posts API costs $0.003 per page. There are no monthly fees or commitments. You get 50 free requests per endpoint every month.
No. You can sign up and use the free tier (50 requests/endpoint/month) without adding a payment method. You only need to add a card when you want to exceed the free tier.
Yes, there's a concurrency limit of 10 simultaneous requests per endpoint per user. If you need more, just get in touch.
Get your API key and start making requests in minutes. 50 requests/month free every month.
Get API Key